ICU 78.2 78.2

Public Types | Public Member Functions
U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates > Class Template Reference

`#include <utfiterator.h>`

## Public Types
using | value_type = CP32
| C++ iterator boilerplate. More...
using | reference = value_type
| C++ iterator boilerplate. More...
using | pointer = CP32 *
| C++ iterator boilerplate. More...
using | difference_type = int32_t
| C++ iterator boilerplate. More...
using | iterator_category = std::forward_iterator_tag
| C++ iterator boilerplate. More...

## Public Member Functions
| CodePointsIterator (CP32 c)
bool | operator== (const CodePointsIterator &other) const
bool | operator!= (const CodePointsIterator &other) const
CP32 | operator* () const
CodePointsIterator & | operator++ ()
CodePointsIterator | operator++ (int)

## Detailed Description

### template<typename CP32, bool skipSurrogates>
class U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >

Internal:
  Do not use.

This API is for internal use only.

Definition at line 248 of file utfiterator.h.

## Member Typedef Documentation

## ◆ difference_type

template<typename CP32 , bool skipSurrogates>

using U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::difference_type = int32_t

C++ iterator boilerplate.

Internal:
  Do not use.

This API is for internal use only.

Definition at line 258 of file utfiterator.h.

## ◆ iterator_category

template<typename CP32 , bool skipSurrogates>

using U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::iterator_category = std::forward_iterator_tag

C++ iterator boilerplate.

Internal:
  Do not use.

This API is for internal use only.

Definition at line 260 of file utfiterator.h.

## ◆ pointer

template<typename CP32 , bool skipSurrogates>

using U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::pointer = CP32 *

C++ iterator boilerplate.

Internal:
  Do not use.

This API is for internal use only.

Definition at line 256 of file utfiterator.h.

## ◆ reference

template<typename CP32 , bool skipSurrogates>

using U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::reference = value_type

C++ iterator boilerplate.

Internal:
  Do not use.

This API is for internal use only.

Definition at line 254 of file utfiterator.h.

## ◆ value_type

template<typename CP32 , bool skipSurrogates>

using U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::value_type = CP32

C++ iterator boilerplate.

Internal:
  Do not use.

This API is for internal use only.

Definition at line 252 of file utfiterator.h.

## Constructor & Destructor Documentation

## ◆ CodePointsIterator()

template<typename CP32 , bool skipSurrogates>

U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::CodePointsIterator | ( | CP32 | c | ) |
| inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 263 of file utfiterator.h.

## Member Function Documentation

## ◆ operator!=()

template<typename CP32 , bool skipSurrogates>

bool U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::operator!= | ( | const CodePointsIterator< CP32, skipSurrogates > & | other | ) | const
| inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 267 of file utfiterator.h.

References U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::operator==().

## ◆ operator*()

template<typename CP32 , bool skipSurrogates>

CP32 U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::operator* | ( |  | ) | const
| inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 269 of file utfiterator.h.

## ◆ operator++() [1/2]

template<typename CP32 , bool skipSurrogates>

CodePointsIterator& U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::operator++ | ( |  | ) |
| inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 271 of file utfiterator.h.

## ◆ operator++() [2/2]

template<typename CP32 , bool skipSurrogates>

CodePointsIterator U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::operator++ | ( | int |  | ) |
| inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 279 of file utfiterator.h.

## ◆ operator==()

template<typename CP32 , bool skipSurrogates>

bool U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::operator== | ( | const CodePointsIterator< CP32, skipSurrogates > & | other | ) | const
| inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 265 of file utfiterator.h.

Referenced by U_HEADER_ONLY_NAMESPACE::prv::CodePointsIterator< CP32, skipSurrogates >::operator!=().

The documentation for this class was generated from the following file:

- common/unicode/utfiterator.h